export const metadata = {
    "blockExplorers": [
        {
            "apiUrl": "https://api-sepolia.basescan.org/api",
            "family": "etherscan",
            "name": "Base Sepolia Explorer",
            "url": "https://sepolia.basescan.org"
        }
    ],
    "blocks": {
        "confirmations": 1,
        "estimateBlockTime": 2,
        "reorgPeriod": 1
    },
    "chainId": 84532,
    "displayName": "Base Sepolia",
    "domainId": 84532,
    "isTestnet": true,
    "gasCurrencyCoinGeckoId": "ethereum",
    "name": "basesepolia",
    "nativeToken": {
        "decimals": 18,
        "name": "Ether",
        "symbol": "ETH"
    },
    "protocol": "ethereum",
    "rpcUrls": [
        {
            "http": "https://sepolia.base.org"
        },
        {
            "http": "https://base-sepolia.blockpi.network/v1/rpc/public"
        },
        {
            "http": "https://base-sepolia-rpc.publicnode.com"
        }
    ]
};
