/**
 * A list of chains managed by the Hyperlane core team.
 * Hyperlane can be deployed permissionlessly to any chain but for
 * convenience the core team maintains some deployments.
 */
export var CoreChain;
(function (CoreChain) {
    CoreChain["alfajores"] = "alfajores";
    CoreChain["ancient8"] = "ancient8";
    CoreChain["arbitrum"] = "arbitrum";
    CoreChain["avalanche"] = "avalanche";
    CoreChain["base"] = "base";
    CoreChain["blast"] = "blast";
    CoreChain["bsc"] = "bsc";
    CoreChain["bsctestnet"] = "bsctestnet";
    CoreChain["celo"] = "celo";
    CoreChain["chiado"] = "chiado";
    CoreChain["eclipsetestnet"] = "eclipsetestnet";
    CoreChain["ethereum"] = "ethereum";
    CoreChain["fraxtal"] = "fraxtal";
    CoreChain["fuji"] = "fuji";
    CoreChain["gnosis"] = "gnosis";
    CoreChain["inevm"] = "inevm";
    CoreChain["injective"] = "injective";
    CoreChain["linea"] = "linea";
    CoreChain["mantapacific"] = "mantapacific";
    CoreChain["moonbeam"] = "moonbeam";
    CoreChain["nautilus"] = "nautilus";
    CoreChain["neutron"] = "neutron";
    CoreChain["optimism"] = "optimism";
    CoreChain["plumetestnet"] = "plumetestnet";
    CoreChain["polygon"] = "polygon";
    CoreChain["polygonzkevm"] = "polygonzkevm";
    CoreChain["proteustestnet"] = "proteustestnet";
    CoreChain["redstone"] = "redstone";
    CoreChain["scroll"] = "scroll";
    CoreChain["scrollsepolia"] = "scrollsepolia";
    CoreChain["sei"] = "sei";
    CoreChain["sepolia"] = "sepolia";
    CoreChain["solana"] = "solana";
    CoreChain["solanadevnet"] = "solanadevnet";
    CoreChain["solanatestnet"] = "solanatestnet";
    CoreChain["viction"] = "viction";
    CoreChain["zetachain"] = "zetachain";
})(CoreChain || (CoreChain = {}));
export const CoreMainnets = [
    CoreChain.arbitrum,
    CoreChain.ancient8,
    CoreChain.avalanche,
    CoreChain.base,
    CoreChain.blast,
    CoreChain.bsc,
    CoreChain.celo,
    CoreChain.ethereum,
    CoreChain.gnosis,
    CoreChain.inevm,
    CoreChain.injective,
    CoreChain.neutron,
    CoreChain.mantapacific,
    CoreChain.moonbeam,
    CoreChain.optimism,
    CoreChain.polygon,
    CoreChain.polygonzkevm,
    CoreChain.scroll,
    CoreChain.viction,
    // CoreChains.solana,
];
export const CoreTestnets = [
    CoreChain.alfajores,
    CoreChain.bsctestnet,
    CoreChain.chiado,
    CoreChain.eclipsetestnet,
    CoreChain.fuji,
    CoreChain.plumetestnet,
    CoreChain.scrollsepolia,
    CoreChain.sepolia,
    CoreChain.solanadevnet,
    CoreChain.solanatestnet,
];
export const CoreChains = [...CoreMainnets, ...CoreTestnets];
